Subject: Re: bug#63470: [PATCH] Use faster option for running vc-hg status

From: Dmitry Gutov <[email-masked]>
Date: Tue, 23 May 2023 01:33:08 +0300

Version: 30.1

On 22/05/2023 20:58, Spencer Baugh wrote:
> A fix to the patch: passing the correct configuration key as an
> argument.  The old version did nothing... but fortunately it was setting
> the configuration key to its default value, so it happened to work.
> I've tested now that it works even when commands.status.relative=0 is
> set by the user's hgrc.

Thanks! Installed.

Am I right to understand, BTW, that the supposed 10x speedup will only 
materialize with a very new Mercurial?

With Hg 6.2.2 I see a small improvement here, but it's more like 10% 
bump than a 1000% one.